I've unable to use the pyperl perl module.

I receive the following error:

# perl -MPython
Can't load '/usr/local/lib/perl/5.8.7/auto/Python/Object/Object.so' for
module Python::Object:
/usr/local/lib/perl/5.8.7/auto/Python/Object/Object.so: undefined
symbol: PyExc_ArithmeticError at /usr/lib/perl/5.8/DynaLoader.pm line 225.
 at /usr/local/lib/perl/5.8.7/Python.pm line 3
Compilation failed in require at /usr/local/lib/perl/5.8.7/Python.pm line 3.
Compilation failed in require.
BEGIN failed--compilation aborted.

I've compiled on a kubuntu dapper machine (Perl 5.8.7, Python 2.4)
I've compiled on a RedHat 9 box (Perl 5.8.0, Python 2.2).
I've compiled it against perl 5.6.
I've tried pyperl-1.0.1, pyperl-1.0.1c and pyperl-1.0.

All experience the same problem.

Any help would be much appreciated.



Zope-perl maillist  -  Zope-perl@zope.org

Reply via email to